import { PackageFolder } from "tslint-folders";
import { DocConfig } from "../Config";
export declare class PackageFilter {
    private readonly invalidPaths;
    private readonly whiteListPaths;
    private readonly skipSubFolders;
    constructor(config: DocConfig);
    private parseBlacklist;
    private parseWhitelist;
    private passesBlacklist;
    private passesBlackAndWhitelist;
    private passesWhitelist;
    canOutputSubfoldersOf(folder: PackageFolder): boolean;
    isImportPathOkForFolder(folder: PackageFolder): boolean;
    isImportPathOkForFolderWithWhitelist(folder: PackageFolder): boolean;
    isImportPathOkForSubFolder(): boolean;
    isImportPathOkForEdges(importPath: string): boolean;
}
